rte_metric_name(3)

NAME
rte_metric_name

SYNOPSIS

#include <rte_metrics.h>

  Data Fields

char name [RTE_METRICS_MAX_NAME_LEN]

Detailed Description

A name-key lookup for metrics.

An array of this structure is returned by rte_metrics_get_names(). The struct rte_metric_value references these names via their array index.

Definition at line 54 of file rte_metrics.h.

Field Documentation

  char name[RTE_METRICS_MAX_NAME_LEN]
String describing metric

Definition at line 56 of file rte_metrics.h.

Author

Generated automatically by Doxygen for DPDK from the source code.